Package com.google.protobuf

# Enum Class Syntax

java.lang.Object
java.lang.Enum<Syntax>
com.google.protobuf.Syntax

All Implemented Interfaces:
  `Internal.EnumLite`, `ProtocolMessageEnum`, `Serializable`, `Comparable<Syntax>`, `Constable`

public enum Syntax extends Enum<Syntax> implements ProtocolMessageEnum
Protobuf enum `google.protobuf.Syntax`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SYNTAX_PROTO2`
`SYNTAX_PROTO2 = 0;`
`SYNTAX_PROTO3`
`SYNTAX_PROTO3 = 1;`
`UNRECOGNIZED`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`SYNTAX_PROTO2_VALUE`
`SYNTAX_PROTO2 = 0;`
`static final int`
`SYNTAX_PROTO3_VALUE`
`SYNTAX_PROTO3 = 1;`

## Method Summary

Modifier and Type
Method
Description
`static Syntax`
`forNumber(int value)`
`static final Descriptors.EnumDescriptor`
`getDescriptor()`
`final Descriptors.EnumDescriptor`
`getDescriptorForType()`
Return the enum type's descriptor, which contains information about each defined value, etc.
`final int`
`getNumber()`
Return the value's numeric value as defined in the .proto file.
`final Descriptors.EnumValueDescriptor`
`getValueDescriptor()`
Return the value's descriptor, which contains information such as value name, number, and type.
`static Internal.EnumLiteMap<Syntax>`
`internalGetValueMap()`
`static Syntax`
`valueOf(int value)`
Deprecated.
`static Syntax`
`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static Syntax`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Syntax[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SYNTAX_PROTO2

public static final Syntax SYNTAX_PROTO2
`SYNTAX_PROTO2 = 0;`

### SYNTAX_PROTO3

public static final Syntax SYNTAX_PROTO3
`SYNTAX_PROTO3 = 1;`

### UNRECOGNIZED

public static final Syntax UNRECOGNIZED

## Field Details

### SYNTAX_PROTO2_VALUE

public static final int SYNTAX_PROTO2_VALUE
`SYNTAX_PROTO2 = 0;`

See Also:
  - Constant Field Values

### SYNTAX_PROTO3_VALUE

public static final int SYNTAX_PROTO3_VALUE
`SYNTAX_PROTO3 = 1;`

See Also:
  - Constant Field Values

## Method Details

### values

public static Syntax[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Syntax valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()
Description copied from interface: `ProtocolMessageEnum`
Return the value's numeric value as defined in the .proto file.

Specified by:
  `getNumber` in interface `Internal.EnumLite`
Specified by:
  `getNumber` in interface `ProtocolMessageEnum`

### valueOf

@Deprecated public static Syntax valueOf(int value)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static Syntax forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

### internalGetValueMap

public static Internal.EnumLiteMap<Syntax> internalGetValueMap()

### getValueDescriptor

public final Descriptors.EnumValueDescriptor getValueDescriptor()
Description copied from interface: `ProtocolMessageEnum`
Return the value's descriptor, which contains information such as value name, number, and type.

Specified by:
  `getValueDescriptor` in interface `ProtocolMessageEnum`

### getDescriptorForType

public final Descriptors.EnumDescriptor getDescriptorForType()
Description copied from interface: `ProtocolMessageEnum`
Return the enum type's descriptor, which contains information about each defined value, etc.

Specified by:
  `getDescriptorForType` in interface `ProtocolMessageEnum`

### getDescriptor

public static final Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static Syntax valueOf(Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null